aboutsummaryrefslogtreecommitdiffstats
path: root/meta-rcar-gen3-adas/recipes-bsp/ti-bt/files/uim-sysfs
diff options
context:
space:
mode:
authorrepo syncronan <ronan@iot.bzh>2017-11-02 18:57:54 +0100
committerStephane Desneux <stephane.desneux@iot.bzh>2017-11-17 16:22:44 +0100
commitb7c0f4c8ea868cb54f57a906af2841d9ac5af279 (patch)
tree0139acff19aec8136951551495ad10d500f5801f /meta-rcar-gen3-adas/recipes-bsp/ti-bt/files/uim-sysfs
parent769a9fed56be7349ffe3777a93abb1f36cbc0edb (diff)
[kingfishe] first draft
Change-Id: I83e9d07e020cc3ee399e29915a56333a111781b0 Signed-off-by: repo syncronan <ronan@iot.bzh>
Diffstat (limited to 'meta-rcar-gen3-adas/recipes-bsp/ti-bt/files/uim-sysfs')
-rw-r--r--meta-rcar-gen3-adas/recipes-bsp/ti-bt/files/uim-sysfs36
1 files changed, 36 insertions, 0 deletions
diff --git a/meta-rcar-gen3-adas/recipes-bsp/ti-bt/files/uim-sysfs b/meta-rcar-gen3-adas/recipes-bsp/ti-bt/files/uim-sysfs
new file mode 100644
index 0000000..93c2cac
--- /dev/null
+++ b/meta-rcar-gen3-adas/recipes-bsp/ti-bt/files/uim-sysfs
@@ -0,0 +1,36 @@
+#! /bin/sh
+
+uim="/usr/bin/uim"
+test -x "$uim" || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting uim-sysfs daemon"
+ modprobe st_drv
+ NODE=`cd /sys; find . | grep kim | grep install`
+ if [ $NODE ]
+ then
+ echo UIM SYSFS Node Found at /sys/$NODE
+ else
+ echo UIM SYSFS Node Not Found
+ rmmod st_drv
+ exit 0
+ fi
+ uim_args="-f `dirname /sys/$NODE`"
+ start-stop-daemon --start --quiet --pidfile /var/run/uim.pid --make-pidfile --exec $uim -- $uim_args &
+ modprobe btwilink
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping uim-sysfs daemon"
+ start-stop-daemon --stop --quiet --pidfile /var/run/uim.pid
+ rmmod btwilink
+ rmmod st_drv
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/uim-sysfs {start|stop}"
+ exit 1
+esac
+
+exit 0